DOM::HTMLAnchorElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLAnchorElement Class Reference

The anchor element. More...

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLAnchorElement:

[legend]
Collaboration diagram for DOM::HTMLAnchorElement:

[legend]
List of all members.

## Public Member Functions
| HTMLAnchorElement (const HTMLAnchorElement &other)
| HTMLAnchorElement (const Node &other)
HTMLAnchorElement & | operator= (const HTMLAnchorElement &other)
HTMLAnchorElement & | operator= (const Node &other)
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
DOMString | charset () const
| The character encoding of the linked resource.
void | setCharset (const DOMString &)
| see charset
DOMString | coords () const
| Comma-separated list of lengths, defining an active region geometry.
void | setCoords (const DOMString &)
| see coords
DOMString | href () const
| The URI of the linked resource.
void | setHref (const DOMString &)
| see href
DOMString | hreflang () const
| Language code of the linked resource.
void | setHreflang (const DOMString &)
| see hreflang
DOMString | name () const
| Anchor name.
void | setName (const DOMString &)
| see name
DOMString | rel () const
| Forward link type.
void | setRel (const DOMString &)
| see rel
DOMString | rev () const
| Reverse link type.
void | setRev (const DOMString &)
| see rev
DOMString | shape () const
| The shape of the active area.
void | setShape (const DOMString &)
| see shape
long | tabIndex () const
| Index that represents the element's position in the tabbing order.
void | setTabIndex (long)
| see tabIndex
DOMString | target () const
| Frame to render the resource in.
void | setTarget (const DOMString &)
| see target
DOMString | type () const
| Advisory content type.
void | setType (const DOMString &)
| see type
void | blur ()
| Removes keyboard focus from this element.
void | focus ()
| Gives keyboard focus to this element.
## Protected Member Functions
| HTMLAnchorElement (HTMLAnchorElementImpl *impl)

## Detailed Description

The anchor element.

See the A element definition in HTML 4.0.

Definition at line 46 of file html_inline.h.

## Member Function Documentation

DOMString HTMLAnchorElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 63 of file html_inline.cpp.

void HTMLAnchorElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 69 of file html_inline.cpp.

DOMString HTMLAnchorElement::charset | ( |  | ) | const

| The character encoding of the linked resource. See the charset attribute definition in HTML 4.0. Definition at line 74 of file html_inline.cpp.

void HTMLAnchorElement::setCharset | ( | const DOMString & |  | ) |

| see charset Definition at line 80 of file html_inline.cpp.

DOMString HTMLAnchorElement::coords | ( |  | ) | const

| Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0. Definition at line 85 of file html_inline.cpp.

void HTMLAnchorElement::setCoords | ( | const DOMString & |  | ) |

| see coords Definition at line 91 of file html_inline.cpp.

DOMString HTMLAnchorElement::href | ( |  | ) | const

| The URI of the linked resource. See the href attribute definition in HTML 4.0. Definition at line 96 of file html_inline.cpp. References href(), DOM::DOMString::length(), and DOM::DOMString::string(). Referenced by href().

void HTMLAnchorElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 103 of file html_inline.cpp.

DOMString HTMLAnchorElement::hreflang | ( |  | ) | const

| Language code of the linked resource. See the hreflang attribute definition in HTML 4.0. Definition at line 108 of file html_inline.cpp.

void HTMLAnchorElement::setHreflang | ( | const DOMString & |  | ) |

| see hreflang Definition at line 114 of file html_inline.cpp.

DOMString HTMLAnchorElement::name | ( |  | ) | const

| Anchor name. See the name attribute definition in HTML 4.0. Definition at line 119 of file html_inline.cpp.

void HTMLAnchorElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 125 of file html_inline.cpp.

DOMString HTMLAnchorElement::rel | ( |  | ) | const

| Forward link type. See the rel attribute definition in HTML 4.0. Definition at line 130 of file html_inline.cpp.

void HTMLAnchorElement::setRel | ( | const DOMString & |  | ) |

| see rel Definition at line 136 of file html_inline.cpp.

DOMString HTMLAnchorElement::rev | ( |  | ) | const

| Reverse link type. See the rev attribute definition in HTML 4.0. Definition at line 141 of file html_inline.cpp.

void HTMLAnchorElement::setRev | ( | const DOMString & |  | ) |

| see rev Definition at line 147 of file html_inline.cpp.

DOMString HTMLAnchorElement::shape | ( |  | ) | const

| The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0. Definition at line 152 of file html_inline.cpp.

void HTMLAnchorElement::setShape | ( | const DOMString & |  | ) |

| see shape Definition at line 158 of file html_inline.cpp.

long HTMLAnchorElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 163 of file html_inline.cpp.

void HTMLAnchorElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 169 of file html_inline.cpp. References QString::number().

DOMString HTMLAnchorElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 177 of file html_inline.cpp.

void HTMLAnchorElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 183 of file html_inline.cpp.

DOMString HTMLAnchorElement::type | ( |  | ) | const

| Advisory content type. See the type attribute definition in HTML 4.0. Definition at line 188 of file html_inline.cpp.

void HTMLAnchorElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 194 of file html_inline.cpp.

void HTMLAnchorElement::blur | ( |  | ) |

| Removes keyboard focus from this element. Returns: Definition at line 199 of file html_inline.cpp.

void HTMLAnchorElement::focus | ( |  | ) |

| Gives keyboard focus to this element. Returns: Definition at line 205 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:41 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001